Evaluations
Annotate a trace
POST /v1/traces/{traceId}/annotations · SDK createTraceAnnotation · CLI deployments eval annotation create
POST
Requires observability:write.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
traceId*stringW3C trace ID (32 lowercase hex characters).
Match
^[a-f0-9]{32}$x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-project*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key*stringLength
1 <= length <= 512application/json- body
body*stringLength
1 <= length <= 4000label?stringLength
1 <= length <= 64runId?stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$spanId?stringMatch
^[a-f0-9]{16}$tags?array<>Items
0 <= items <= 10AnnotationResponse
application/json- response
authorPrincipalId*stringbody*stringcreatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeid*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$label?stringrunId?stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$spanId?stringMatch
^[a-f0-9]{16}$tags*array<string>traceId*stringMatch
^[a-f0-9]{32}$curl -X POST "https://example.com/v1/traces/string/annotations" \ -H "x-deployments-organization: string" \ -H "x-deployments-project: string" \ -H "x-deployments-environment: string" \ -H "idempotency-key: string" \ -H "Content-Type: application/json" \ -d '{ "body": "string" }'{ "authorPrincipalId": "string", "body": "string", "createdAt": "2019-08-24T14:15:22Z", "id": "string", "label": "string", "runId": "string", "spanId": "string", "tags": [ "string" ], "traceId": "string"}